Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
~amd64 Gentoo Installation perl and readline conflicts
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
alamahant
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2019
Posts: 92

PostPosted: Sat Jun 22, 2019 9:00 pm    Post subject: ~amd64 Gentoo Installation perl and readline conflicts Reply with quote

Hi Guys,
Having totally fallen for Gentoo, I was looking for an excuse to make a new installation.
So I thought to myself "lets try the testing version" and decided to do a Cinamon install with ACCEPT_KEYWORDS="~amd64"in make.conf
However I bumped into a perl conflict right at my initial (after eselecting profile) emerge --update --newuse --deep --ask @world.
This is what I got:
Code:

.......................
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0

  (dev-lang/perl-5.30.0:0/5.30::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.30* required by (virtual/perl-version-0.992.400:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                           
    (and 35 more with the same problem)

  (dev-lang/perl-5.28.2-r1:0/5.28::gentoo, installed) pulled in by
    dev-lang/perl:0/5.28=[-build(-)] required by (dev-perl/Text-CharWidth-0.40.0-r1:0/0::gentoo, installed)
                 ^^^^^^^^                                                                                                                     
    (and 15 more with the same problem)

sys-libs/readline:0

  (sys-libs/readline-7.0_p5:0/7::gentoo, installed) pulled in by
    sys-libs/readline:0/7=[abi_x86_64(-)] required by (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, installed)
                     ^^^^^                                                                                                                 

  (sys-libs/readline-8.0:0/8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/readline-8.0:0= required by (app-shells/bash-5.0_p7:0/0::gentoo, ebuild scheduled for merge)
    ^^                  ^^^^^^                                                                                                                                                       

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by dev-lang/spidermonkey-60.5.2_p0-r2::gentoo
# required by sys-auth/polkit-0.116::gentoo
# required by gnome-extra/polkit-gnome-0.105-r2::gentoo
>=dev-lang/python-2.7.16:2.7 sqlite

Would you like to add these changes to your config files? [Yes/No] no

 * In order to avoid wasting time, backtracking has terminated early
 * due to the above autounmask change(s). The --autounmask-backtrack=y
 * option can be used to force further backtracking, but there is no
 * guarantee that it will produce a solution.


Is there any way to proceed or it is an impossible situation?
Thanks a lot.
Regards
Andreas
:)


Last edited by alamahant on Sat Jun 22, 2019 9:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43551
Location: 56N 3W

PostPosted: Sat Jun 22, 2019 9:26 pm    Post subject: Reply with quote

alamahant,

The entire emerge command and output would be useful.
Code:
dev-lang/perl-5.30.0:0/5.30::gentoo, ebuild scheduled for merge
suggests that you don't yet have perl-5.30
Lets resolve that first as its a reasonably independent update.

Get the latest perl-cleaner,
run
Code:
perl-cleaner --all
That should update your perl and rebuild all your packages that depend on perl.

perl-cleaner should no longer be required.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
alamahant
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2019
Posts: 92

PostPosted: Sat Jun 22, 2019 10:05 pm    Post subject: Reply with quote

Dear NeddySeagoon,
I did as you instructed me and perl-cleaner --all completed successfully (40 packages or so rebuilt)
Then I attempted to emerge --update --newuse --deep --ask @world
and this time I got:
Code:

 emerge --update --newuse --deep --ask @world

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-devel/gnuconfig-20180101 [20170101]
[ebuild     U  ] sys-apps/debianutils-4.8.6.1 [4.8.3] USE="installkernel%*"
[ebuild  N     ] dev-libs/libpthread-stubs-0.4-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/lzo-2.10  USE="-examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-devel/llvm-common-8.0.0
[ebuild  N     ] app-text/poppler-data-0.4.9
[ebuild     U  ] sys-apps/install-xattr-0.7 [0.5]
[ebuild     U  ] dev-libs/libffi-3.3_rc0 [3.2.1]
[ebuild     U  ] app-arch/gzip-1.10 [1.9]
[ebuild  N     ] dev-libs/ell-0.20  USE="-glib -pie" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-devel/autoconf-archive-2019.01.06 [2018.03.13]
[ebuild  N     ] dev-util/re2c-1.1.1
[ebuild  N     ] app-arch/cpio-2.12-r1  USE="nls"
[ebuild  N     ] dev-libs/libatomic_ops-7.6.10  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] virtual/libffi-3.3_rc0 [3.0.13-r1]
[ebuild     U  ] sys-devel/binutils-config-5.1-r1 [5-r4]
[ebuild     U  ] sys-libs/timezone-data-2019a [2018i]
[ebuild  N     ] dev-libs/fribidi-1.0.5  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-libs/e2fsprogs-libs-1.45.2 [1.44.5]
[ebuild     U  ] dev-libs/libpipeline-1.5.1 [1.4.2]
[ebuild     U  ] dev-libs/libksba-1.3.5-r2 [1.3.5-r1]
[ebuild  N     ] virtual/perl-MIME-Base64-3.150.0-r5
[ebuild  N     ] dev-perl/LWP-MediaTypes-6.20.0-r1
[ebuild  N     ] virtual/perl-IO-1.400.0
[ebuild  N     ] virtual/perl-Compress-Raw-Zlib-2.84.0
[ebuild  N     ] virtual/perl-Time-Local-1.280.0
[ebuild  N     ] virtual/perl-XSLoader-0.300.0-r1
[ebuild  N     ] virtual/perl-libnet-3.110.0-r1
[ebuild  N     ] dev-perl/Text-Iconv-1.700.0-r2
[ebuild  N     ] dev-perl/HTML-Tagset-3.200.0-r1
[ebuild  N     ] dev-perl/Socket6-0.280.0
[ebuild  N     ] virtual/perl-File-Path-2.160.0
[ebuild  N     ] virtual/perl-Storable-3.150.0
[ebuild  N     ] virtual/perl-Compress-Raw-Bzip2-2.84.0
[ebuild  N     ] virtual/perl-IO-Socket-IP-0.390.0-r1
[ebuild  N     ] virtual/perl-parent-0.237.0
[ebuild  N     ] virtual/perl-Digest-MD5-2.550.0-r1
[ebuild  N     ] virtual/perl-Time-HiRes-1.976.0
[ebuild  N     ] dev-lang/nasm-2.14.02  USE="-doc"
[ebuild  N     ] dev-perl/HTTP-Date-6.20.0-r1
[ebuild  N     ] dev-perl/URI-1.730.0  USE="-test"
[ebuild  N     ] dev-perl/HTML-Parser-3.720.0  USE="-test"
[ebuild  N     ] dev-perl/Encode-Locale-1.50.0  USE="-test"
[ebuild  N     ] virtual/perl-IO-Compress-2.84.0
[ebuild  N     ] dev-perl/IO-HTML-1.1.0  USE="-test"
[ebuild  N     ] dev-perl/IPC-System-Simple-1.250.0  USE="-test"
[ebuild  N     ] dev-perl/Sub-Name-0.210.0  USE="-suggested -test"
[ebuild  N     ] dev-perl/HTTP-Message-6.130.0  USE="-test"
[ebuild  N     ] dev-perl/File-Listing-6.40.0-r1
[ebuild  N     ] dev-perl/Try-Tiny-0.300.0  USE="-minimal -test"
[ebuild  N     ] dev-perl/WWW-RobotRules-6.20.0-r1
[ebuild  N     ] dev-perl/File-BaseDir-0.70.0  USE="-test"
[ebuild  N     ] dev-perl/Tie-IxHash-1.230.0  USE="-test"
[ebuild  N     ] dev-perl/HTTP-Cookies-6.40.0  USE="-test"
[ebuild  N     ] dev-perl/HTTP-Daemon-6.10.0-r2
[ebuild  N     ] dev-perl/HTTP-Negotiate-6.10.0-r1
[ebuild  N     ] dev-perl/IO-Socket-INET6-2.720.0-r1
[ebuild  N     ] dev-perl/File-DesktopEntry-0.220.0  USE="-test"
[ebuild     U  ] dev-libs/openssl-1.1.0k [1.0.2r] USE="-bindist* -tls-heartbeat*"
[ebuild  N     ] dev-perl/Net-SSLeay-1.850.0  USE="-examples -libressl -minimal -test"
[ebuild  N     ] dev-perl/IO-Socket-SSL-2.52.0  USE="-examples -idn"
[ebuild  N     ] dev-perl/Net-HTTP-6.170.0  USE="-minimal -test"
[ebuild  N     ] dev-perl/libwww-perl-6.270.0  USE="ssl -test"
[ebuild  N     ] dev-perl/LWP-Protocol-https-6.70.0  USE="-test"
[ebuild     U  ] virtual/os-headers-0-r1 [0]
[ebuild     U  ] sys-apps/sysvinit-2.95 [2.93]
[ebuild     U  ] app-eselect/eselect-python-20190417 [20171204]
[ebuild     U  ] sys-apps/hwids-20190316 [20180917]
[ebuild  N     ] dev-perl/XML-XPath-1.420.0  USE="-examples -test"
[ebuild  N     ] virtual/libudev-232  USE="-static-libs -systemd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libusb-1.0.22  USE="udev -debug -doc -examples -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/libusb-1-r2  USE="udev" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/man-pages-5.01 [5.00]
[ebuild  NS    ] sys-devel/autoconf-2.13-r1 [2.69-r4]
[ebuild     U  ] sys-apps/help2man-1.47.10 [1.47.6]
[ebuild     U  ] net-dns/libidn2-2.2.0 [2.1.1a-r1]
[ebuild     U  ] net-misc/netifrc-0.6.1 [0.5.1]
[ebuild     U  ] app-arch/xz-utils-5.2.4-r3 [5.2.4-r2]
[ebuild     U  ] sys-kernel/linux-headers-5.0-r1 [4.14-r1]
[ebuild  N     ] dev-libs/gobject-introspection-common-1.58.3
[ebuild  N     ] app-eselect/eselect-opengl-1.3.1-r4
[ebuild  N     ] x11-themes/hicolor-icon-theme-0.17
[ebuild     U  ] app-portage/elt-patches-20170826.1 [20170815]
[ebuild  N     ] dev-libs/vala-common-0.42.7
[ebuild  N     ] app-arch/rpm2targz-9.0.0.5g
[ebuild  N     ] media-libs/libpng-1.6.37  USE="apng (-neon) -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse"
[ebuild     U  ] dev-libs/gmp-6.1.2-r1 [6.1.2]
[ebuild  N     ] dev-libs/libbsd-0.9.1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/libassuan-2.5.1-r1 [2.5.1]
[ebuild     U  ] sys-apps/file-5.37 [5.36]
[ebuild     U  ] sys-libs/cracklib-2.9.7 [2.9.6-r2] PYTHON_TARGETS="-python3_7%"
[ebuild     U  ] dev-libs/libpcre-8.43 [8.42] USE="pcre16* -static-libs*"
[ebuild     U  ] dev-libs/libpcre2-10.33 [10.32] USE="pcre16*"
[ebuild     U  ] sys-libs/libseccomp-2.4.1 [2.4.0]
[ebuild     U  ] net-firewall/iptables-1.8.3-r1 [1.6.1-r3]
[ebuild     U  ] dev-libs/npth-1.6-r1 [1.3]
[ebuild     U  ] sys-apps/kmod-26-r1 [25] USE="ssl%* -libressl%" PYTHON_TARGETS="-python3_7%"
[ebuild     U  ] sys-apps/busybox-1.31.0 [1.29.3]
[ebuild     U  ] sys-devel/libtool-2.4.6-r5 [2.4.6-r3]
[ebuild  N     ] dev-libs/boehm-gc-8.0.4  USE="cxx threads -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/expat-2.2.7 [2.2.6]
[ebuild  N     ] media-libs/freetype-2.10.0  USE="X adobe-cff bzip2 cleartype_hinting png -bindist -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/libgcrypt-1.8.4 [1.8.3]
[ebuild  N     ] x11-libs/xtrans-1.4.0  USE="-doc"
[ebuild     U  ] app-misc/pax-utils-1.2.4 [1.2.3] PYTHON_SINGLE_TARGET="python3_6%* -python2_7% -python3_5%" PYTHON_TARGETS="python2_7%* python3_6%* -python3_5%"
[ebuild  N     ] app-text/libpaper-1.1.24_p5  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/jbig2dec-0.14  USE="png -static-libs -test"
[ebuild     U  ] dev-libs/mpfr-4.0.2 [3.1.6]
[ebuild  N     ] x11-libs/libpciaccess-0.14  USE="zlib -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/nspr-4.21  USE="-debug" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-db/sqlite-3.28.0  USE="readline -debug -doc -icu -secure-delete -static-libs -tcl -test -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/json-c-0.13.1-r1  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libnatspec-0.3.0  USE="-doc -python" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libuv-1.29.1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-fonts/font-util-1.3.1
[ebuild     U  ] net-libs/libtirpc-1.1.4 [1.0.2-r1]
[ebuild  N     ] dev-perl/XML-Twig-3.520.0  USE="nls -test"
[ebuild     U  ] dev-libs/mpc-1.1.0-r1 [1.0.3]
[ebuild     U  ] sys-apps/sandbox-2.17 [2.13]
[ebuild   R    ] app-arch/unzip-6.0_p21-r2  USE="natspec*"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.2-r2 [4.1.2-r6]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.3-r1 [4.1.2-r6]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.4-r2 [4.1.2-r6]
[ebuild  N     ] dev-util/glib-utils-2.58.3  PYTHON_SINGLE_TARGET="python3_6 -python3_5 -python3_7" PYTHON_TARGETS="python3_6 -python3_5 -python3_7"
[ebuild     U  ] sys-apps/attr-2.4.48-r3 [2.4.47-r2] USE="-debug%"
[ebuild  N     ] sys-libs/libcap-2.27  USE="pam -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] dev-libs/libxml2-2.9.9-r1  USE="python*"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.5-r1 [4.1.2-r6]
[ebuild     U  ] dev-python/setuptools-41.0.1 [40.6.3]
[ebuild     U  ] sys-apps/acl-2.2.53 [2.2.52-r1]
[ebuild     U  ] sys-apps/coreutils-8.31 [8.30]
[ebuild  NS    ] sys-devel/gcc-9.1.0-r1 [8.3.0-r1] USE="-d% -lto%"
[ebuild  N     ] app-crypt/libb2-0.98.1-r1  USE="openmp -native-cflags -static-libs"
[ebuild  NS    ] sys-devel/binutils-2.32-r1 [2.31.1-r6]
[ebuild  NS    ] sys-libs/db-6.0.35-r1 [5.3.28-r2]
[ebuild     U  ] sys-libs/db-5.3.28-r3 [5.3.28-r2]
[ebuild     U  ] sys-apps/sed-4.7 [4.5]
[ebuild     U  ] app-misc/ca-certificates-20190110.3.43 [20180409.3.37]
[ebuild  N     ] net-nds/openldap-2.4.47-r1  USE="berkdb crypt ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -iodbc -kerberos -kinit -libressl -odbc -overlays -pbkdf2 -perl -samba -sasl (-selinux) -sha2 -slp -smbkrb5passwd -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] net-misc/curl-7.65.1 [7.65.0] USE="ldap*"
[ebuild     U  ] sys-libs/pam-1.3.1-r1 [1.3.0-r2] USE="filecaps* -static-libs%"
[ebuild     U  ] app-crypt/gnupg-2.2.16-r1 [2.2.15] USE="ldap* usb*"
[ebuild  N     ] app-crypt/gpgme-1.13.0  USE="cxx -common-lisp -python -qt5 -static-libs" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild     U  ] app-portage/portage-utils-0.80_pre20190620 [0.74] USE="openmp%* qmanifest%* -libressl%"
[ebuild  N     ] dev-libs/icu-64.2  USE="-debug -doc -examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-fs/e2fsprogs-1.45.2 [1.44.5] USE="-cron%"
[ebuild  N     ] app-arch/libarchive-3.3.3  USE="acl bzip2 e2fsprogs iconv lzma threads xattr zlib -expat -libressl -lz4 -lzo -nettle -static-libs -zstd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-libs/binutils-libs-2.32-r1  USE="nls -64-bit-bfd -multitarget -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] net-dns/libidn-1.35  USE="nls -doc -emacs -java -mono -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/portage-2.3.67 [2.3.66-r1]
[ebuild  N     ] dev-util/ninja-1.9.0  USE="-doc -emacs -test -vim-syntax"
[ebuild  N     ] dev-util/meson-0.50.1  USE="-test" PYTHON_TARGETS="python3_6 -python3_5 -python3_7"
[ebuild  N     ] x11-base/xorg-proto-2019.1
[ebuild  N     ] x11-libs/pixman-0.38.4  USE="(-altivec) (-loongson2f) (-neon)" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmxext sse2 -ssse3"
[ebuild  N     ] x11-libs/libdrm-2.4.98  USE="-libkms -valgrind" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau -amdgpu (-exynos) (-freedreno) (-omap) -radeon (-tegra) (-vc4) (-vivante) -vmware"
[ebuild  N     ] x11-libs/libICE-1.0.9-r2  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXau-1.0.9  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXdmcp-1.1.3  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libxshmfence-1.3-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libfontenc-1.1.4  USE="-static-libs"
[ebuild  N     ] x11-apps/mkfontscale-1.2.1
[ebuild  N     ] media-fonts/encodings-1.0.5
[ebuild  N     ] media-fonts/urw-fonts-2.4.9  USE="X"
[ebuild  N     ] media-fonts/liberation-fonts-2.00.1-r3  USE="X -fontforge"
[ebuild  N     ] virtual/ttf-fonts-1-r1
[ebuild  N     ] x11-libs/libSM-1.2.3  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-devel/bison-3.4.1 [3.1]
[ebuild     U  ] sys-apps/iproute2-5.1.0 [4.17.0-r1]
[ebuild  N     ] app-crypt/rhash-1.3.8  USE="nls ssl -debug -libressl -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-python/markupsafe-1.0  PYTHON_TARGETS="python2_7 python3_6 -pypy -pypy3 -python3_5 -python3_7"
[ebuild  N     ] dev-python/mako-1.0.7  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_6 -pypy -pypy3 -python3_5 -python3_7"
[ebuild  N     ] x11-base/xcb-proto-1.13  ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] x11-libs/libxcb-1.13.1  USE="xkb -doc (-selinux) -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libX11-1.6.8  USE="ipv6 -doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXext-1.3.4  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrender-0.9.10-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXfixes-5.0.3-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXt-1.2.0  USE="-doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xprop-1.2.4
[ebuild  N     ] x11-libs/libXi-1.7.10  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrandr-1.5.2  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXmu-1.1.3  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXdamage-1.1.5  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXxf86vm-1.1.4-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcursor-1.2.0  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcomposite-0.4.5  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/X11-Protocol-0.560.0-r2  USE="-examples -test"
[ebuild  N     ] x11-libs/libXtst-1.2.3-r1  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xset-1.2.4
[ebuild  N     ] x11-apps/xauth-1.0.10  USE="ipv6 -test"
[ebuild  N     ] x11-libs/libXpm-3.5.12-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXaw-1.0.13-r1  USE="-deprecated -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/groff-1.22.4 [1.22.3] USE="X*"
[ebuild     U  ] sys-devel/gettext-0.20.1 [0.19.8.1]
[ebuild     U  ] sys-apps/man-db-2.8.5-r1 [2.7.6.1-r2] USE="seccomp%*"
[ebuild     U  ] sys-apps/diffutils-3.7 [3.6-r1]
[ebuild     U  ] sys-apps/grep-3.3-r1 [3.1-r1]
[ebuild     U  ] net-misc/iputils-20190515 [20180629] USE="filecaps* nls%*"
[ebuild     U  ] sys-apps/gawk-5.0.1 [4.2.1-r1]
[ebuild     U  ] net-misc/wget-1.20.3-r2 [1.20.3-r1] USE="-cookie_check%"
[ebuild     U  ] app-text/opensp-1.5.2-r6 [1.5.2-r3]
[ebuild  N     ] sys-libs/gpm-1.20.7-r2  USE="(-selinux) -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-libs/ncurses-6.1_p20181020 [6.1-r2] USE="gpm*"
[ebuild     U  ] sys-apps/util-linux-2.34 [2.33.2] USE="udev* -hardlink%"
[ebuild     U  ] sys-process/psmisc-23.2-r2 [23.1-r1] USE="X*"
[ebuild  N     ] sys-devel/bc-1.07.1-r2  USE="readline -forced-sandbox -libedit -static"
[ebuild     U  ] sys-libs/readline-8.0 [7.0_p5]
[ebuild     U  ] sys-apps/less-551 [531]
[ebuild  N     ] www-client/w3m-0.5.3_p20190105  USE="X gpm nls ssl unicode -fbcon -gdk-pixbuf -imlib -libressl -lynxkeymap -nntp -xface" L10N="-de -ja"
[ebuild     U  ] app-editors/nano-4.3 [3.2]
[ebuild     U  ] app-shells/bash-5.0_p7 [4.4_p23-r1]
[ebuild  N     ] virtual/w3m-0
[ebuild  N     ] app-text/xmlto-0.0.28-r1  USE="text -latex"
[ebuild  N     ] media-libs/fontconfig-2.13.1-r2  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-eselect/eselect-fontconfig-1.1-r1
[ebuild  N     ] x11-libs/libXft-2.3.3  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-auth/elogind-241.3  USE="acl pam policykit -debug -doc (-selinux)"
[ebuild  N     ] sys-apps/dbus-1.12.16  USE="X elogind -debug -doc (-selinux) -static-libs -systemd -test -user-session" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-auth/pambase-20190402 [20150213-r2] USE="elogind*"
[ebuild  N     ] dev-perl/Net-DBus-1.1.0  USE="-test"
[ebuild     U  ] sys-apps/shadow-4.7 [4.6]
[ebuild   R    ] sys-process/procps-3.3.15-r1  USE="elogind*"
[ebuild     U  ] net-misc/openssh-8.0_p1-r2 [7.9_p1-r4] USE="X* -bindist*"
[ebuild  N     ] dev-libs/glib-2.58.3  USE="dbus (mime) xattr -debug (-fam) -gtk-doc (-selinux) -static-libs -systemtap -test -utils" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-misc/shared-mime-info-1.10-r1  USE="-test"
[ebuild  N     ] dev-util/desktop-file-utils-0.23  USE="-emacs"
[ebuild  N     ] dev-lang/vala-0.42.7  USE="-test -valadoc"
[ebuild  N     ] dev-libs/libcroco-0.6.13  USE="-test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/File-MimeInfo-0.280.0  USE="-test"
[ebuild  N     ] x11-misc/xdg-utils-1.1.3-r1  USE="-doc"
[ebuild  N     ] dev-util/cmake-3.14.5  USE="ncurses -doc -emacs -qt5 -system-jsoncpp -test"
[ebuild  N     ] media-gfx/graphite2-1.3.13  USE="-perl -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/libjpeg-turbo-2.0.2  USE="-java -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/jpeg-0-r3  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/tiff-4.0.10  USE="cxx jpeg zlib -jbig -lzma -static-libs -test -webp -zstd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/lcms-2.9  USE="jpeg threads tiff -doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/openjpeg-2.3.1  USE="-doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/qpdf-8.4.2  USE="-doc -examples -perl -static-libs -test"
[ebuild  N     ] dev-libs/libical-3.0.5  USE="berkdb -doc -examples -static-libs -test"
[ebuild  N     ] net-print/cups-2.2.11  USE="X acl dbus pam ssl threads usb -debug -java -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -xinetd -zeroconf" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-wireless/bluez-5.50-r3  USE="cups mesh obex readline udev -btpclient -debug -deprecated -doc -experimental -extra-tools -midi (-selinux) -systemd -test -test-programs -user-session" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild     U  ] dev-lang/python-3.6.8 [3.6.5] USE="bluetooth%*"
[ebuild  N     ] dev-util/gdbus-codegen-2.58.3  PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] gnome-base/dconf-0.30.1  USE="-gtk-doc -test"
[ebuild     U  ] dev-lang/python-2.7.16 [2.7.15] USE="bluetooth* sqlite*"
[ebuild  N     ] dev-lang/spidermonkey-60.5.2_p0-r2  USE="jit system-icu -custom-cflags -custom-optimization -debug -minimal -test"
[ebuild  N     ] sys-devel/llvm-8.0.0  USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -WebAssembly -XCore"
[ebuild  N     ] media-libs/mesa-19.1.0  USE="classic dri3 egl gallium gbm gles2 llvm -d3d9 -debug -gles1 (-libglvnd) -lm_sensors -opencl -osmesa -pax_kernel -pic (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -wayland -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="i915 i965 intel nouveau (-freedreno) -iris -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -virgl (-vivante) -vmware"
[ebuild  N     ] x11-libs/cairo-1.16.0-r3  USE="X glib opengl svg xcb (-aqua) -debug (-gles2) -static-libs -utils -valgrind" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/gobject-introspection-1.58.3  USE="cairo -doctool -test" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] sys-auth/polkit-0.116  USE="elogind gtk introspection nls pam -consolekit -examples -jit -kde (-selinux) -systemd -test"
[ebuild  N     ] app-text/poppler-0.77.0  USE="cairo cxx introspection jpeg jpeg2k lcms png tiff utils -cjk -curl -debug -doc -nss -qt5"
[ebuild  N     ] x11-libs/gdk-pixbuf-2.38.1  USE="X introspection jpeg tiff -gtk-doc -jpeg2k" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/atk-2.30.0  USE="introspection -gtk-doc" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/harfbuzz-2.5.2  USE="cairo glib graphite introspection truetype -debug -icu -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/pango-1.42.4-r1  USE="X introspection -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-base/librsvg-2.40.20  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-util/gtk-update-icon-cache-3.24.8
[ebuild  N     ] virtual/opengl-7.0-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-base/gsettings-desktop-schemas-3.28.1  USE="introspection"
[ebuild  N     ] x11-themes/gnome-themes-standard-3.28
[ebuild  N     ] media-libs/libepoxy-1.5.3  USE="X -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-accessibility/at-spi2-core-2.30.1  USE="X introspection -gtk-doc -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-accessibility/at-spi2-atk-2.30.1  USE="-test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/glu-9.0.0-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/glu-9.0-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/freeglut-3.0.0  USE="-debug -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/mupdf-1.15.0  USE="X javascript opengl ssl -libressl -static-libs -vanilla"
[ebuild  N     ] x11-libs/gtk+-3.24.9  USE="X cups introspection (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-extra/polkit-gnome-0.105-r2
[ebuild  N     ] x11-themes/adwaita-icon-theme-3.30.1  USE="branding"
[ebuild  N     ] app-text/ghostscript-gpl-9.26  USE="X cups dbus gtk tiff unicode -static-libs" L10N="-de (-ja) -ko -zh-CN -zh-TW"
[ebuild  N     ] net-print/cups-filters-1.25.0  USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup -pclm -perl -static-libs -test -zeroconf"
[ebuild     U  ] sys-fs/eudev-3.2.8 [3.2.5] USE="introspection*"
[ebuild     U  ] dev-python/certifi-2018.11.29 [2018.4.16]
[ebuild     U  ] dev-python/pyxattr-0.6.1 [0.6.0-r1]
[ebuild  N     ] x11-libs/gtk+-2.24.32-r1  USE="cups introspection (-aqua) -examples -test -vim-syntax -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-themes/gtk-engines-adwaita-3.28  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-crypt/pinentry-1.1.0-r3 [1.1.0-r2] USE="gtk*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/readline:0

  (sys-libs/readline-7.0_p5:0/7::gentoo, installed) pulled in by
    sys-libs/readline:0/7=[abi_x86_64(-)] required by (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, installed)
                     ^^^^^                                                                                                                 

  (sys-libs/readline-8.0:0/8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/readline-8.0:0= required by (app-shells/bash-5.0_p7:0/0::gentoo, ebuild scheduled for merge)
    ^^                  ^^^^^^                                                                                                                                                       


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by dev-lang/spidermonkey-60.5.2_p0-r2::gentoo
# required by sys-auth/polkit-0.116::gentoo
# required by gnome-extra/polkit-gnome-0.105-r2::gentoo
>=dev-lang/python-2.7.16:2.7 sqlite

Would you like to add these changes to your config files? [Yes/No]


It seems all the perl conflicts vanished and now only the readline conflict remains...
You are a jewel of this community :D
Thanks
In any case I dread my disturbing the community for every package conflict that i face so what is an OVERALL strategy to deal with conflicts?
And just this one time how to deal with the readline conflict?
For ever grateful................
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43551
Location: 56N 3W

PostPosted: Sat Jun 22, 2019 10:31 pm    Post subject: Reply with quote

alamahant,

There is no generic recipe to fix conflicts, or if there is, I don't know it.

emerge is a little like a chess playing program when it solves your dependency graph.
It tries potential solutions, then backtracks and tries others. The default backtrack setting is not large enough for portage to reach a solution every time.
Indeed, a solution is not always possible.

The first thing to try is to tell portage to try harder. Add
Code:
--backtrack=150
to your emerge command.
There is noting more annoying than the build failing on the second package after you have just gone to bed, or left things to build.
The
Code:
--keep-going
option fixes that. Portage will resume after a failed package, dropping anything that needs the failed package.
Then you can pick up the pieces later.

You will need to fix
Code:
 The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by dev-lang/spidermonkey-60.5.2_p0-r2::gentoo
# required by sys-auth/polkit-0.116::gentoo
# required by gnome-extra/polkit-gnome-0.105-r2::gentoo
>=dev-lang/python-2.7.16:2.7 sqlite


gnome-extra/polkit-gnome-0.105-r2 requires >=dev-lang/python-2.7.16 to be built with USE=sqlite. You don't have that setting.
You have two choices. Add sqlite to your USE in make.conf, so it applies globally.
Add
Code:
dev-lang/python sqlite
to your package.use, so it only applies to Python.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
alamahant
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2019
Posts: 92

PostPosted: Sun Jun 23, 2019 9:06 am    Post subject: Reply with quote

Thanks Thanks.
I knew the last bit :)
The package.use..
What scares me is the slot conflicts...
So I think I will stick to the stable version and use -amd64 only for particular packages i.e virtualbox etc
Thanks again
:)
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43551
Location: 56N 3W

PostPosted: Sun Jun 23, 2019 9:53 am    Post subject: Reply with quote

alamahant,

Mixing stable and testing will be even worse ... unless you are lucky.
It will happen that one or more stable packages and one or more testing packages will have a dependency in common.
However they will want different versions of the same dependency. There is no real fix for that which is why mixing stab/e and testing is not supported.
This is the move to testing by 1000 steps.

You can infer from the above that marking a package stable is a non trivial process. It can't be done in isolation.
All the dependencies need to be marked stable too. That may impact other packages.

Having a stable package that depends on a testing package is a bug. Gentoo QA should make sure it never happens.
The other way round is fine.

Testing has got much better over the years. Its rarely broken any more and the nasty surprises that happened pre news item days are gone too.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
brokendreams
n00b
n00b


Joined: 11 Nov 2018
Posts: 22
Location: clinton,ia US

PostPosted: Sun Jul 07, 2019 8:58 am    Post subject: Reply with quote

alamahant wrote:
Dear NeddySeagoon,
I did as you instructed me and perl-cleaner --all completed successfully (40 packages or so rebuilt)
Then I attempted to emerge --update --newuse --deep --ask @world
and this time I got:
Code:

 emerge --update --newuse --deep --ask @world

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-devel/gnuconfig-20180101 [20170101]
[ebuild     U  ] sys-apps/debianutils-4.8.6.1 [4.8.3] USE="installkernel%*"
[ebuild  N     ] dev-libs/libpthread-stubs-0.4-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/lzo-2.10  USE="-examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-devel/llvm-common-8.0.0
[ebuild  N     ] app-text/poppler-data-0.4.9
[ebuild     U  ] sys-apps/install-xattr-0.7 [0.5]
[ebuild     U  ] dev-libs/libffi-3.3_rc0 [3.2.1]
[ebuild     U  ] app-arch/gzip-1.10 [1.9]
[ebuild  N     ] dev-libs/ell-0.20  USE="-glib -pie" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-devel/autoconf-archive-2019.01.06 [2018.03.13]
[ebuild  N     ] dev-util/re2c-1.1.1
[ebuild  N     ] app-arch/cpio-2.12-r1  USE="nls"
[ebuild  N     ] dev-libs/libatomic_ops-7.6.10  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] virtual/libffi-3.3_rc0 [3.0.13-r1]
[ebuild     U  ] sys-devel/binutils-config-5.1-r1 [5-r4]
[ebuild     U  ] sys-libs/timezone-data-2019a [2018i]
[ebuild  N     ] dev-libs/fribidi-1.0.5  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-libs/e2fsprogs-libs-1.45.2 [1.44.5]
[ebuild     U  ] dev-libs/libpipeline-1.5.1 [1.4.2]
[ebuild     U  ] dev-libs/libksba-1.3.5-r2 [1.3.5-r1]
[ebuild  N     ] virtual/perl-MIME-Base64-3.150.0-r5
[ebuild  N     ] dev-perl/LWP-MediaTypes-6.20.0-r1
[ebuild  N     ] virtual/perl-IO-1.400.0
[ebuild  N     ] virtual/perl-Compress-Raw-Zlib-2.84.0
[ebuild  N     ] virtual/perl-Time-Local-1.280.0
[ebuild  N     ] virtual/perl-XSLoader-0.300.0-r1
[ebuild  N     ] virtual/perl-libnet-3.110.0-r1
[ebuild  N     ] dev-perl/Text-Iconv-1.700.0-r2
[ebuild  N     ] dev-perl/HTML-Tagset-3.200.0-r1
[ebuild  N     ] dev-perl/Socket6-0.280.0
[ebuild  N     ] virtual/perl-File-Path-2.160.0
[ebuild  N     ] virtual/perl-Storable-3.150.0
[ebuild  N     ] virtual/perl-Compress-Raw-Bzip2-2.84.0
[ebuild  N     ] virtual/perl-IO-Socket-IP-0.390.0-r1
[ebuild  N     ] virtual/perl-parent-0.237.0
[ebuild  N     ] virtual/perl-Digest-MD5-2.550.0-r1
[ebuild  N     ] virtual/perl-Time-HiRes-1.976.0
[ebuild  N     ] dev-lang/nasm-2.14.02  USE="-doc"
[ebuild  N     ] dev-perl/HTTP-Date-6.20.0-r1
[ebuild  N     ] dev-perl/URI-1.730.0  USE="-test"
[ebuild  N     ] dev-perl/HTML-Parser-3.720.0  USE="-test"
[ebuild  N     ] dev-perl/Encode-Locale-1.50.0  USE="-test"
[ebuild  N     ] virtual/perl-IO-Compress-2.84.0
[ebuild  N     ] dev-perl/IO-HTML-1.1.0  USE="-test"
[ebuild  N     ] dev-perl/IPC-System-Simple-1.250.0  USE="-test"
[ebuild  N     ] dev-perl/Sub-Name-0.210.0  USE="-suggested -test"
[ebuild  N     ] dev-perl/HTTP-Message-6.130.0  USE="-test"
[ebuild  N     ] dev-perl/File-Listing-6.40.0-r1
[ebuild  N     ] dev-perl/Try-Tiny-0.300.0  USE="-minimal -test"
[ebuild  N     ] dev-perl/WWW-RobotRules-6.20.0-r1
[ebuild  N     ] dev-perl/File-BaseDir-0.70.0  USE="-test"
[ebuild  N     ] dev-perl/Tie-IxHash-1.230.0  USE="-test"
[ebuild  N     ] dev-perl/HTTP-Cookies-6.40.0  USE="-test"
[ebuild  N     ] dev-perl/HTTP-Daemon-6.10.0-r2
[ebuild  N     ] dev-perl/HTTP-Negotiate-6.10.0-r1
[ebuild  N     ] dev-perl/IO-Socket-INET6-2.720.0-r1
[ebuild  N     ] dev-perl/File-DesktopEntry-0.220.0  USE="-test"
[ebuild     U  ] dev-libs/openssl-1.1.0k [1.0.2r] USE="-bindist* -tls-heartbeat*"
[ebuild  N     ] dev-perl/Net-SSLeay-1.850.0  USE="-examples -libressl -minimal -test"
[ebuild  N     ] dev-perl/IO-Socket-SSL-2.52.0  USE="-examples -idn"
[ebuild  N     ] dev-perl/Net-HTTP-6.170.0  USE="-minimal -test"
[ebuild  N     ] dev-perl/libwww-perl-6.270.0  USE="ssl -test"
[ebuild  N     ] dev-perl/LWP-Protocol-https-6.70.0  USE="-test"
[ebuild     U  ] virtual/os-headers-0-r1 [0]
[ebuild     U  ] sys-apps/sysvinit-2.95 [2.93]
[ebuild     U  ] app-eselect/eselect-python-20190417 [20171204]
[ebuild     U  ] sys-apps/hwids-20190316 [20180917]
[ebuild  N     ] dev-perl/XML-XPath-1.420.0  USE="-examples -test"
[ebuild  N     ] virtual/libudev-232  USE="-static-libs -systemd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libusb-1.0.22  USE="udev -debug -doc -examples -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/libusb-1-r2  USE="udev" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/man-pages-5.01 [5.00]
[ebuild  NS    ] sys-devel/autoconf-2.13-r1 [2.69-r4]
[ebuild     U  ] sys-apps/help2man-1.47.10 [1.47.6]
[ebuild     U  ] net-dns/libidn2-2.2.0 [2.1.1a-r1]
[ebuild     U  ] net-misc/netifrc-0.6.1 [0.5.1]
[ebuild     U  ] app-arch/xz-utils-5.2.4-r3 [5.2.4-r2]
[ebuild     U  ] sys-kernel/linux-headers-5.0-r1 [4.14-r1]
[ebuild  N     ] dev-libs/gobject-introspection-common-1.58.3
[ebuild  N     ] app-eselect/eselect-opengl-1.3.1-r4
[ebuild  N     ] x11-themes/hicolor-icon-theme-0.17
[ebuild     U  ] app-portage/elt-patches-20170826.1 [20170815]
[ebuild  N     ] dev-libs/vala-common-0.42.7
[ebuild  N     ] app-arch/rpm2targz-9.0.0.5g
[ebuild  N     ] media-libs/libpng-1.6.37  USE="apng (-neon) -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse"
[ebuild     U  ] dev-libs/gmp-6.1.2-r1 [6.1.2]
[ebuild  N     ] dev-libs/libbsd-0.9.1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/libassuan-2.5.1-r1 [2.5.1]
[ebuild     U  ] sys-apps/file-5.37 [5.36]
[ebuild     U  ] sys-libs/cracklib-2.9.7 [2.9.6-r2] PYTHON_TARGETS="-python3_7%"
[ebuild     U  ] dev-libs/libpcre-8.43 [8.42] USE="pcre16* -static-libs*"
[ebuild     U  ] dev-libs/libpcre2-10.33 [10.32] USE="pcre16*"
[ebuild     U  ] sys-libs/libseccomp-2.4.1 [2.4.0]
[ebuild     U  ] net-firewall/iptables-1.8.3-r1 [1.6.1-r3]
[ebuild     U  ] dev-libs/npth-1.6-r1 [1.3]
[ebuild     U  ] sys-apps/kmod-26-r1 [25] USE="ssl%* -libressl%" PYTHON_TARGETS="-python3_7%"
[ebuild     U  ] sys-apps/busybox-1.31.0 [1.29.3]
[ebuild     U  ] sys-devel/libtool-2.4.6-r5 [2.4.6-r3]
[ebuild  N     ] dev-libs/boehm-gc-8.0.4  USE="cxx threads -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/expat-2.2.7 [2.2.6]
[ebuild  N     ] media-libs/freetype-2.10.0  USE="X adobe-cff bzip2 cleartype_hinting png -bindist -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] dev-libs/libgcrypt-1.8.4 [1.8.3]
[ebuild  N     ] x11-libs/xtrans-1.4.0  USE="-doc"
[ebuild     U  ] app-misc/pax-utils-1.2.4 [1.2.3] PYTHON_SINGLE_TARGET="python3_6%* -python2_7% -python3_5%" PYTHON_TARGETS="python2_7%* python3_6%* -python3_5%"
[ebuild  N     ] app-text/libpaper-1.1.24_p5  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/jbig2dec-0.14  USE="png -static-libs -test"
[ebuild     U  ] dev-libs/mpfr-4.0.2 [3.1.6]
[ebuild  N     ] x11-libs/libpciaccess-0.14  USE="zlib -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/nspr-4.21  USE="-debug" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-db/sqlite-3.28.0  USE="readline -debug -doc -icu -secure-delete -static-libs -tcl -test -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/json-c-0.13.1-r1  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libnatspec-0.3.0  USE="-doc -python" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libuv-1.29.1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-fonts/font-util-1.3.1
[ebuild     U  ] net-libs/libtirpc-1.1.4 [1.0.2-r1]
[ebuild  N     ] dev-perl/XML-Twig-3.520.0  USE="nls -test"
[ebuild     U  ] dev-libs/mpc-1.1.0-r1 [1.0.3]
[ebuild     U  ] sys-apps/sandbox-2.17 [2.13]
[ebuild   R    ] app-arch/unzip-6.0_p21-r2  USE="natspec*"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.2-r2 [4.1.2-r6]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.3-r1 [4.1.2-r6]
[ebuild  NS    ] app-text/docbook-xml-dtd-4.4-r2 [4.1.2-r6]
[ebuild  N     ] dev-util/glib-utils-2.58.3  PYTHON_SINGLE_TARGET="python3_6 -python3_5 -python3_7" PYTHON_TARGETS="python3_6 -python3_5 -python3_7"
[ebuild     U  ] sys-apps/attr-2.4.48-r3 [2.4.47-r2] USE="-debug%"
[ebuild  N     ] sys-libs/libcap-2.27  USE="pam -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] dev-libs/libxml2-2.9.9-r1  USE="python*"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.5-r1 [4.1.2-r6]
[ebuild     U  ] dev-python/setuptools-41.0.1 [40.6.3]
[ebuild     U  ] sys-apps/acl-2.2.53 [2.2.52-r1]
[ebuild     U  ] sys-apps/coreutils-8.31 [8.30]
[ebuild  NS    ] sys-devel/gcc-9.1.0-r1 [8.3.0-r1] USE="-d% -lto%"
[ebuild  N     ] app-crypt/libb2-0.98.1-r1  USE="openmp -native-cflags -static-libs"
[ebuild  NS    ] sys-devel/binutils-2.32-r1 [2.31.1-r6]
[ebuild  NS    ] sys-libs/db-6.0.35-r1 [5.3.28-r2]
[ebuild     U  ] sys-libs/db-5.3.28-r3 [5.3.28-r2]
[ebuild     U  ] sys-apps/sed-4.7 [4.5]
[ebuild     U  ] app-misc/ca-certificates-20190110.3.43 [20180409.3.37]
[ebuild  N     ] net-nds/openldap-2.4.47-r1  USE="berkdb crypt ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -iodbc -kerberos -kinit -libressl -odbc -overlays -pbkdf2 -perl -samba -sasl (-selinux) -sha2 -slp -smbkrb5passwd -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] net-misc/curl-7.65.1 [7.65.0] USE="ldap*"
[ebuild     U  ] sys-libs/pam-1.3.1-r1 [1.3.0-r2] USE="filecaps* -static-libs%"
[ebuild     U  ] app-crypt/gnupg-2.2.16-r1 [2.2.15] USE="ldap* usb*"
[ebuild  N     ] app-crypt/gpgme-1.13.0  USE="cxx -common-lisp -python -qt5 -static-libs" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild     U  ] app-portage/portage-utils-0.80_pre20190620 [0.74] USE="openmp%* qmanifest%* -libressl%"
[ebuild  N     ] dev-libs/icu-64.2  USE="-debug -doc -examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-fs/e2fsprogs-1.45.2 [1.44.5] USE="-cron%"
[ebuild  N     ] app-arch/libarchive-3.3.3  USE="acl bzip2 e2fsprogs iconv lzma threads xattr zlib -expat -libressl -lz4 -lzo -nettle -static-libs -zstd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-libs/binutils-libs-2.32-r1  USE="nls -64-bit-bfd -multitarget -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] net-dns/libidn-1.35  USE="nls -doc -emacs -java -mono -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/portage-2.3.67 [2.3.66-r1]
[ebuild  N     ] dev-util/ninja-1.9.0  USE="-doc -emacs -test -vim-syntax"
[ebuild  N     ] dev-util/meson-0.50.1  USE="-test" PYTHON_TARGETS="python3_6 -python3_5 -python3_7"
[ebuild  N     ] x11-base/xorg-proto-2019.1
[ebuild  N     ] x11-libs/pixman-0.38.4  USE="(-altivec) (-loongson2f) (-neon)" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmxext sse2 -ssse3"
[ebuild  N     ] x11-libs/libdrm-2.4.98  USE="-libkms -valgrind" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau -amdgpu (-exynos) (-freedreno) (-omap) -radeon (-tegra) (-vc4) (-vivante) -vmware"
[ebuild  N     ] x11-libs/libICE-1.0.9-r2  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXau-1.0.9  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXdmcp-1.1.3  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libxshmfence-1.3-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libfontenc-1.1.4  USE="-static-libs"
[ebuild  N     ] x11-apps/mkfontscale-1.2.1
[ebuild  N     ] media-fonts/encodings-1.0.5
[ebuild  N     ] media-fonts/urw-fonts-2.4.9  USE="X"
[ebuild  N     ] media-fonts/liberation-fonts-2.00.1-r3  USE="X -fontforge"
[ebuild  N     ] virtual/ttf-fonts-1-r1
[ebuild  N     ] x11-libs/libSM-1.2.3  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-devel/bison-3.4.1 [3.1]
[ebuild     U  ] sys-apps/iproute2-5.1.0 [4.17.0-r1]
[ebuild  N     ] app-crypt/rhash-1.3.8  USE="nls ssl -debug -libressl -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-python/markupsafe-1.0  PYTHON_TARGETS="python2_7 python3_6 -pypy -pypy3 -python3_5 -python3_7"
[ebuild  N     ] dev-python/mako-1.0.7  USE="-doc -test" PYTHON_TARGETS="python2_7 python3_6 -pypy -pypy3 -python3_5 -python3_7"
[ebuild  N     ] x11-base/xcb-proto-1.13  ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] x11-libs/libxcb-1.13.1  USE="xkb -doc (-selinux) -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libX11-1.6.8  USE="ipv6 -doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXext-1.3.4  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrender-0.9.10-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXfixes-5.0.3-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXt-1.2.0  USE="-doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xprop-1.2.4
[ebuild  N     ] x11-libs/libXi-1.7.10  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrandr-1.5.2  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXmu-1.1.3  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXdamage-1.1.5  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXxf86vm-1.1.4-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcursor-1.2.0  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcomposite-0.4.5  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/X11-Protocol-0.560.0-r2  USE="-examples -test"
[ebuild  N     ] x11-libs/libXtst-1.2.3-r1  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xset-1.2.4
[ebuild  N     ] x11-apps/xauth-1.0.10  USE="ipv6 -test"
[ebuild  N     ] x11-libs/libXpm-3.5.12-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXaw-1.0.13-r1  USE="-deprecated -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-apps/groff-1.22.4 [1.22.3] USE="X*"
[ebuild     U  ] sys-devel/gettext-0.20.1 [0.19.8.1]
[ebuild     U  ] sys-apps/man-db-2.8.5-r1 [2.7.6.1-r2] USE="seccomp%*"
[ebuild     U  ] sys-apps/diffutils-3.7 [3.6-r1]
[ebuild     U  ] sys-apps/grep-3.3-r1 [3.1-r1]
[ebuild     U  ] net-misc/iputils-20190515 [20180629] USE="filecaps* nls%*"
[ebuild     U  ] sys-apps/gawk-5.0.1 [4.2.1-r1]
[ebuild     U  ] net-misc/wget-1.20.3-r2 [1.20.3-r1] USE="-cookie_check%"
[ebuild     U  ] app-text/opensp-1.5.2-r6 [1.5.2-r3]
[ebuild  N     ] sys-libs/gpm-1.20.7-r2  USE="(-selinux) -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-libs/ncurses-6.1_p20181020 [6.1-r2] USE="gpm*"
[ebuild     U  ] sys-apps/util-linux-2.34 [2.33.2] USE="udev* -hardlink%"
[ebuild     U  ] sys-process/psmisc-23.2-r2 [23.1-r1] USE="X*"
[ebuild  N     ] sys-devel/bc-1.07.1-r2  USE="readline -forced-sandbox -libedit -static"
[ebuild     U  ] sys-libs/readline-8.0 [7.0_p5]
[ebuild     U  ] sys-apps/less-551 [531]
[ebuild  N     ] www-client/w3m-0.5.3_p20190105  USE="X gpm nls ssl unicode -fbcon -gdk-pixbuf -imlib -libressl -lynxkeymap -nntp -xface" L10N="-de -ja"
[ebuild     U  ] app-editors/nano-4.3 [3.2]
[ebuild     U  ] app-shells/bash-5.0_p7 [4.4_p23-r1]
[ebuild  N     ] virtual/w3m-0
[ebuild  N     ] app-text/xmlto-0.0.28-r1  USE="text -latex"
[ebuild  N     ] media-libs/fontconfig-2.13.1-r2  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-eselect/eselect-fontconfig-1.1-r1
[ebuild  N     ] x11-libs/libXft-2.3.3  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-auth/elogind-241.3  USE="acl pam policykit -debug -doc (-selinux)"
[ebuild  N     ] sys-apps/dbus-1.12.16  USE="X elogind -debug -doc (-selinux) -static-libs -systemd -test -user-session" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-auth/pambase-20190402 [20150213-r2] USE="elogind*"
[ebuild  N     ] dev-perl/Net-DBus-1.1.0  USE="-test"
[ebuild     U  ] sys-apps/shadow-4.7 [4.6]
[ebuild   R    ] sys-process/procps-3.3.15-r1  USE="elogind*"
[ebuild     U  ] net-misc/openssh-8.0_p1-r2 [7.9_p1-r4] USE="X* -bindist*"
[ebuild  N     ] dev-libs/glib-2.58.3  USE="dbus (mime) xattr -debug (-fam) -gtk-doc (-selinux) -static-libs -systemtap -test -utils" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-misc/shared-mime-info-1.10-r1  USE="-test"
[ebuild  N     ] dev-util/desktop-file-utils-0.23  USE="-emacs"
[ebuild  N     ] dev-lang/vala-0.42.7  USE="-test -valadoc"
[ebuild  N     ] dev-libs/libcroco-0.6.13  USE="-test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/File-MimeInfo-0.280.0  USE="-test"
[ebuild  N     ] x11-misc/xdg-utils-1.1.3-r1  USE="-doc"
[ebuild  N     ] dev-util/cmake-3.14.5  USE="ncurses -doc -emacs -qt5 -system-jsoncpp -test"
[ebuild  N     ] media-gfx/graphite2-1.3.13  USE="-perl -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/libjpeg-turbo-2.0.2  USE="-java -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/jpeg-0-r3  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/tiff-4.0.10  USE="cxx jpeg zlib -jbig -lzma -static-libs -test -webp -zstd" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/lcms-2.9  USE="jpeg threads tiff -doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/openjpeg-2.3.1  USE="-doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/qpdf-8.4.2  USE="-doc -examples -perl -static-libs -test"
[ebuild  N     ] dev-libs/libical-3.0.5  USE="berkdb -doc -examples -static-libs -test"
[ebuild  N     ] net-print/cups-2.2.11  USE="X acl dbus pam ssl threads usb -debug -java -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -xinetd -zeroconf" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-wireless/bluez-5.50-r3  USE="cups mesh obex readline udev -btpclient -debug -deprecated -doc -experimental -extra-tools -midi (-selinux) -systemd -test -test-programs -user-session" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[ebuild     U  ] dev-lang/python-3.6.8 [3.6.5] USE="bluetooth%*"
[ebuild  N     ] dev-util/gdbus-codegen-2.58.3  PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] gnome-base/dconf-0.30.1  USE="-gtk-doc -test"
[ebuild     U  ] dev-lang/python-2.7.16 [2.7.15] USE="bluetooth* sqlite*"
[ebuild  N     ] dev-lang/spidermonkey-60.5.2_p0-r2  USE="jit system-icu -custom-cflags -custom-optimization -debug -minimal -test"
[ebuild  N     ] sys-devel/llvm-8.0.0  USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -WebAssembly -XCore"
[ebuild  N     ] media-libs/mesa-19.1.0  USE="classic dri3 egl gallium gbm gles2 llvm -d3d9 -debug -gles1 (-libglvnd) -lm_sensors -opencl -osmesa -pax_kernel -pic (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -wayland -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="i915 i965 intel nouveau (-freedreno) -iris -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -virgl (-vivante) -vmware"
[ebuild  N     ] x11-libs/cairo-1.16.0-r3  USE="X glib opengl svg xcb (-aqua) -debug (-gles2) -static-libs -utils -valgrind" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/gobject-introspection-1.58.3  USE="cairo -doctool -test" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7"
[ebuild  N     ] sys-auth/polkit-0.116  USE="elogind gtk introspection nls pam -consolekit -examples -jit -kde (-selinux) -systemd -test"
[ebuild  N     ] app-text/poppler-0.77.0  USE="cairo cxx introspection jpeg jpeg2k lcms png tiff utils -cjk -curl -debug -doc -nss -qt5"
[ebuild  N     ] x11-libs/gdk-pixbuf-2.38.1  USE="X introspection jpeg tiff -gtk-doc -jpeg2k" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/atk-2.30.0  USE="introspection -gtk-doc" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/harfbuzz-2.5.2  USE="cairo glib graphite introspection truetype -debug -icu -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/pango-1.42.4-r1  USE="X introspection -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-base/librsvg-2.40.20  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-util/gtk-update-icon-cache-3.24.8
[ebuild  N     ] virtual/opengl-7.0-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-base/gsettings-desktop-schemas-3.28.1  USE="introspection"
[ebuild  N     ] x11-themes/gnome-themes-standard-3.28
[ebuild  N     ] media-libs/libepoxy-1.5.3  USE="X -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-accessibility/at-spi2-core-2.30.1  USE="X introspection -gtk-doc -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-accessibility/at-spi2-atk-2.30.1  USE="-test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/glu-9.0.0-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/glu-9.0-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/freeglut-3.0.0  USE="-debug -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/mupdf-1.15.0  USE="X javascript opengl ssl -libressl -static-libs -vanilla"
[ebuild  N     ] x11-libs/gtk+-3.24.9  USE="X cups introspection (-aqua) -broadway -cloudprint -colord -examples -gtk-doc -test -vim-syntax -wayland -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-extra/polkit-gnome-0.105-r2
[ebuild  N     ] x11-themes/adwaita-icon-theme-3.30.1  USE="branding"
[ebuild  N     ] app-text/ghostscript-gpl-9.26  USE="X cups dbus gtk tiff unicode -static-libs" L10N="-de (-ja) -ko -zh-CN -zh-TW"
[ebuild  N     ] net-print/cups-filters-1.25.0  USE="dbus foomatic jpeg ldap pdf png postscript tiff -ipp_autosetup -pclm -perl -static-libs -test -zeroconf"
[ebuild     U  ] sys-fs/eudev-3.2.8 [3.2.5] USE="introspection*"
[ebuild     U  ] dev-python/certifi-2018.11.29 [2018.4.16]
[ebuild     U  ] dev-python/pyxattr-0.6.1 [0.6.0-r1]
[ebuild  N     ] x11-libs/gtk+-2.24.32-r1  USE="cups introspection (-aqua) -examples -test -vim-syntax -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-themes/gtk-engines-adwaita-3.28  ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-crypt/pinentry-1.1.0-r3 [1.1.0-r2] USE="gtk*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-libs/readline:0

  (sys-libs/readline-7.0_p5:0/7::gentoo, installed) pulled in by
    sys-libs/readline:0/7=[abi_x86_64(-)] required by (sys-libs/gdbm-1.13-r2:0/1.13::gentoo, installed)
                     ^^^^^                                                                                                                 

  (sys-libs/readline-8.0:0/8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-libs/readline-8.0:0= required by (app-shells/bash-5.0_p7:0/0::gentoo, ebuild scheduled for merge)
    ^^                  ^^^^^^                                                                                                                                                       


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by dev-lang/spidermonkey-60.5.2_p0-r2::gentoo
# required by sys-auth/polkit-0.116::gentoo
# required by gnome-extra/polkit-gnome-0.105-r2::gentoo
>=dev-lang/python-2.7.16:2.7 sqlite

Would you like to add these changes to your config files? [Yes/No]


It seems all the perl conflicts vanished and now only the readline conflict remains...
You are a jewel of this community :D
Thanks
In any case I dread my disturbing the community for every package conflict that i face so what is an OVERALL strategy to deal with conflicts?
And just this one time how to deal with the readline conflict?
For ever grateful................


Try running
Code:
emerge -1v readline gdbm bash


And see if that solves the readline/gdbm/bash conflict. You'll still need to either add sqlite to the USE flags in make.conf or add
Code:
dev-lang/python sqlite
to package.use though.
Back to top
View user's profile Send private message
toralf
Developer
Developer


Joined: 01 Feb 2004
Posts: 3698
Location: Hamburg

PostPosted: Mon Jul 29, 2019 10:58 am    Post subject: Reply with quote

brokendreams wrote:
or add
Code:
dev-lang/python sqlite
to package.use though.
FWIW for desktop profiles this will probably become the default (in future).
Back to top
View user's profile Send private message
alamahant
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2019
Posts: 92

PostPosted: Mon Aug 05, 2019 1:56 pm    Post subject: Reply with quote

Please forgive my belated response but I emigrated an already existing installation to ~amd64 and it wen flawlessly.
It seems I only had difficulty at a new installation
Thanks a lot Guys
:D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum